Bug 879161 - [ALL_LANG][SAM CLI] Unlocalized strings for client module
[ALL_LANG][SAM CLI] Unlocalized strings for client module
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
x86_64 Linux
medium Severity medium
: rc
: 2.0
Assigned To: Adam Price
: Translation, Triaged
: 886765 (view as bug list)
Depends On:
Blocks: sam13-tracker
  Show dependency treegraph
Reported: 2012-11-22 04:00 EST by Lijun Li
Modified: 2013-06-07 14:27 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-07 14:27:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lijun Li 2012-11-22 04:00:23 EST
Description of problem:
Unlocalized strings for client module

Version-Release number of selected component (if applicable):
Subscription Asset Manager Version: 1.2.5-1h.el6_3

How reproducible:

Steps to Reproduce:
[root@i18nsamtest ~]# headpin client -h
Usage:  headpin <options> client <command>
Supported Commands:
	forget         クライアント設定からオプションを削除
	remember       クライアント設定にオプションを保存
	saved_options  クライアント設定に保存されたオプションを一覧表示

  -h, --help  show this help message and exit
[root@i18nsamtest ~]# headpin client forget -h
Usage:  headpin <options> client forget <options>

  -h, --help       show this help message and exit
  --option=OPTION  削除されるオプションの名前 (必須)
  -g               grep が使いやすい出力
  -v               詳細な構造化された出力
  -d DELIMITER     grep で認識できる出力内のコラム区切り記号、 -g オプションを付けた場合にのみ動作します
  --noheading      ヘッディングの出力を表示しません。出力を grep する場合に便利です。

[root@i18nsamtest ~]# headpin client forget --option=test -g -v -d DELIMITER --noheading
error: No section: 'options' (more in the log file /var/log/katello/client.log)

[root@i18nsamtest ~]# headpin client remember -h
Usage:  headpin <options> client remember <options>

  -h, --help       show this help message and exit

[root@i18nsamtest ~]# headpin client remember --option=test --value=test
Successfully remembered option [ test ]
[root@i18nsamtest ~]# headpin client remember --option=test --value=test -g -v -d DELIMITER --noheading
Successfully overwrote option [ test ]

[root@i18nsamtest ~]# headpin client saved_options -h
Usage:  headpin <options> client saved_options <options>

  -h, --help    show this help message and exit

[root@i18nsamtest ~]# headpin client saved_options -g

Option Value 
test   test 

Actual results:

Expected results:

Additional info:
Comment 1 Adam Price 2012-12-11 14:44:43 EST
Most column names are not localized. I will add them to localization, but it depends on if the translators get to them in time.

Most error messages that were coming from the server were being sent as English, so the CLI has no control over that. We are actively working on getting the error messages and validation error messages translated.
Comment 2 Hedda Peters 2012-12-13 01:10:03 EST
Pretty much the same outcome for de-DE.

Currently all languages are at least 95% translated on Zanata, and the remaining untranslated strings are not the unlocalized ones mentioned above. Some of the unlocalized strings mentioned above are translated on Zanata, others are not in our translation files on Zanata yet.
Comment 3 Noriko Mizumoto 2012-12-13 01:33:10 EST
confirmed for ja-JP.
Comment 4 Lijun Li 2012-12-13 05:30:06 EST
*** Bug 886765 has been marked as a duplicate of this bug. ***
Comment 5 Eunju, Kim 2012-12-13 17:46:24 EST
confirmed for ko-KR.
Comment 6 Sam Friedmann 2012-12-13 20:18:22 EST
Confirmed for fr-FR.
Comment 7 Tom McKay 2012-12-18 09:11:51 EST
Mass moving i18n BZs to CFSE where they are also present
Comment 9 Bryan Kearney 2013-06-07 14:19:22 EDT
Moving all POST bugs to ON_QA since we have delivered a puddle with the bugs.
Comment 10 Bryan Kearney 2013-06-07 14:27:43 EDT
We will be doing a new round of translations for the 1.3 drop. Closing out these bugs so that the beta starts with a clean slate.

Note You need to log in before you can comment on or make changes to this bug.